## Edit Credential Set `client.vulnerabilityScanner.credentialSets.edit(stringcredentialSetId, CredentialSetEditParamsparams, RequestOptionsoptions?): CredentialSetEditResponse` **patch** `/accounts/{account_id}/vuln_scanner/credential_sets/{credential_set_id}` Updates a credential set with only the provided fields; omitted fields remain unchanged. ### Parameters - `credentialSetId: string` - `params: CredentialSetEditParams` - `account_id?: string` Path param: Identifier. - `name?: string` Body param: Human-readable name. ### Returns - `CredentialSetEditResponse` - `id: string` Credential set identifier. - `name: string` Human-readable name. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.vulnerabilityScanner.credentialSets.edit( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(response.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "name": "Production API credentials" }, "result_info": {} } ```